Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core.cpp	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core.cpp	(revision 123)
@@ -36,9 +36,9 @@
     usage_environment(_usage);
 
-#if DEBUG_Core == true
-    log_printf(INFO,Core,FUNCTION,_("<%s> Parameters"),_name.c_str());
+// #if DEBUG_Core == true
+//     log_printf(INFO,Core,FUNCTION,_("<%s> Parameters"),_name.c_str());
 
-    std::cout << *param << std::endl;
-#endif    
+//     std::cout << *param << std::endl;
+// #endif    
 
     log_printf(INFO,Core,FUNCTION,_("<%s> Allocation"),_name.c_str());
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core_allocation.cpp	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core_allocation.cpp	(revision 123)
@@ -468,4 +468,8 @@
               COMPONENT_MAP(_component,src , "in_RENAME_"+toString(j)+"_"+toString(k)+"_NO_EXECUTE"   ,
                                        dest,"out_DECOD_"                 +toString(k)+"_NO_EXECUTE"   );
+//               COMPONENT_MAP(_component,src , "in_RENAME_"+toString(j)+"_"+toString(k)+"_HAVE_EVENT"   ,
+//                                        dest,"out_DECOD_"                 +toString(k)+"_HAVE_EVENT"   );
+              COMPONENT_MAP(_component,src , "in_RENAME_"+toString(j)+"_"+toString(k)+"_LAST_EVENT"   ,
+                                       dest,"out_DECOD_"                 +toString(k)+"_LAST_EVENT"   );
               COMPONENT_MAP(_component,src , "in_RENAME_"+toString(j)+"_"+toString(k)+"_IS_DELAY_SLOT",
                                        dest,"out_DECOD_"                 +toString(k)+"_IS_DELAY_SLOT");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core_deallocation.cpp	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core_deallocation.cpp	(revision 123)
@@ -59,18 +59,18 @@
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
 
-    delete    _component_glue;
-    delete    _component_dcache_access;
-    delete    _component_icache_access;
-    for (uint32_t i=0; i<_param->_nb_execute_loop; ++i)
-    delete    _component_execute_loop [i];
-    delete [] _component_execute_loop;
-    for (uint32_t i=0; i<_param->_nb_ooo_engine; ++i)
-    delete    _component_ooo_engine [i];
-    delete [] _component_ooo_engine;
-    for (uint32_t i=0; i<_param->_nb_front_end; ++i)
-    delete    _component_front_end [i];
-    delete [] _component_front_end;
+    delete _component;
 
-    delete _component;
+//     delete    _component_glue;
+//     delete    _component_dcache_access;
+//     delete    _component_icache_access;
+//     for (uint32_t i=0; i<_param->_nb_execute_loop; ++i)
+//     delete    _component_execute_loop [i];
+//     delete [] _component_execute_loop;
+//     for (uint32_t i=0; i<_param->_nb_ooo_engine; ++i)
+//     delete    _component_ooo_engine [i];
+//     delete [] _component_ooo_engine;
+//     for (uint32_t i=0; i<_param->_nb_front_end; ++i)
+//     delete    _component_front_end [i];
+//     delete [] _component_front_end;
 
     log_end(Core,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters.cpp	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters.cpp	(revision 123)
@@ -2181,16 +2181,16 @@
     log_begin(Core,FUNCTION);
 
-    for (uint32_t i=0; i<_nb_front_end; ++i)
-    delete    _param_front_end [i];
-    delete [] _param_front_end;
-    for (uint32_t i=0; i<_nb_ooo_engine; ++i)
-    delete    _param_ooo_engine [i];
-    delete [] _param_ooo_engine;
-    for (uint32_t i=0; i<_nb_execute_loop; ++i)
-    delete    _param_execute_loop [i];
-    delete [] _param_execute_loop;
-    delete    _param_icache_access;
-    delete    _param_dcache_access;
-    delete    _param_glue;
+//     for (uint32_t i=0; i<_nb_front_end; ++i)
+//     delete    _param_front_end [i];
+//     delete [] _param_front_end;
+//     for (uint32_t i=0; i<_nb_ooo_engine; ++i)
+//     delete    _param_ooo_engine [i];
+//     delete [] _param_ooo_engine;
+//     for (uint32_t i=0; i<_nb_execute_loop; ++i)
+//     delete    _param_execute_loop [i];
+//     delete [] _param_execute_loop;
+//     delete    _param_icache_access;
+//     delete    _param_dcache_access;
+//     delete    _param_glue;
 
     DELETE3(_dcache_access_translate_load_store_unit_to_thread      ,_nb_execute_loop,_execute_loop_nb_load_store_unit[it1],_dcache_access_nb_context[it1]);
